import { Injectable } from '@angular/core';
import { BrowserStorageService } from 'src/app/modules/shared/services/browser-storage/browser-storage.service';

@Injectable()
export class AuthTokenService {
    private TokenKey = 'jwt.token';

    constructor( private browserStorageService: BrowserStorageService) {
    }

    setToken(token: string) {
        this.browserStorageService.setItem(this.TokenKey, token);
    }

    hasToken() {
        const token = this.browserStorageService.getItemOrDefault(this.TokenKey, null);
        return token !== null;
    }

    getToken() {
        return this.browserStorageService.getItem(this.TokenKey);
    }

    removeToken() {
        this.browserStorageService.setItem(this.TokenKey, null);
    }

    userValidate() {
        if (!this.hasToken()) {
            return false;
        }
        return true;
    }
}
